Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.desktop
Class TaskleisteMenuAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ActionAction
              de.jsystems.framework.desktop.TaskleisteMenuAction

All Implemented Interfaces:
  ActionListener, EventListener

public class TaskleisteMenuAction
extends ActionAction

Action fuer die Taskleiste sowie das Fenster-Menu im Desktop. Hier wird nach Auswahl eines Fensters ueber das Fenster-Menue oder Klick auf den entsprechenden Button in der Taskleiste das entsprechende Fenster aktiviert.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`TaskleisteMenuAction()`

Method Summary
`void` | `doActionPerformed(ActionEvent ae)` Diese Methode wird aufgerufen, wenn ein Menuepunkt im Fenstermenue oder ein Button in der Taskleiste angewaehlt wurde.

Methods inherited from class de.jsystems.framework.common.action.awt.ActionAction
`actionPerformed`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskleisteMenuAction

    public TaskleisteMenuAction()

Method Detail

### doActionPerformed

    public void doActionPerformed(ActionEvent ae)
                           throws Exception

  Diese Methode wird aufgerufen, wenn ein Menuepunkt im Fenstermenue oder ein Button in der Taskleiste angewaehlt wurde. Hier wird dann dass zum Menue oder dem Button gehoerende InternalFrame aktiviert. Der Controller in der Action muss vom Typ `BusinessDesktopFrameController` sein. Die Controls der Action werden beide auf selektiert gesetzt.

  Overrides:
    `doActionPerformed` in class `ActionAction`
  Parameters:
    `ae` - Das ausgeloeste Event.
  Throws:
    `Exception` - wenn ien Fehler in der Action auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD